> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /DeleteCard

> Delete all data that's associated with a specific user account.

Use the `/DeleteCard` endpoint to delete all data that's associated with a specific user account.


## OpenAPI

````yaml DELETE /v3/{customerId}/BankingServices/DeleteCard/{loginId}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/DeleteCard/{loginId}:
    delete:
      tags:
        - Connect
      summary: Delete Card
      description: Delete all data that's associated with a specific user account.
      operationId: deleteCard
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: Unique GUID provided by Flinks.
        - name: loginId
          in: path
          required: true
          schema:
            type: string
          description: Unique loginId associated with the account you want to delete.
        - name: x-api-key
          in: header
          schema:
            type: string
          description: Security feature that grants access to this endpoint.
        - name: Content-Type
          in: header
          required: true
          description: Content type of the request.
          schema:
            type: string
            enum:
              - application/json
            default: application/json
            example: application/json
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  StatusCode:
                    type: integer
                  Message:
                    type: string
              example:
                StatusCode: 200
                Message: >-
                  All of the information about LoginId
                  eceae0c0-1ed3-468f-ae30-08d6decf1675 has been removed
        '400':
          description: Card In Use
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  FlinksCode:
                    type: string
              example:
                HttpStatusCode: 400
                Message: >-
                  You can't remove the card and use the card in parallel. Please
                  stop using the card and remove it again
                FlinksCode: CARD_IN_USE

````